# Bluetooth Examples for NimBLE host

Note: To use examples in this directory, you need to have Bluetooth enabled in configuration and NimBLE selected as the host stack.

# Example Layout

This directory includes examples to demonstrate BLE functionality using Apache MyNewt NimBLE (https://github.com/apache/mynewt-nimble) host stack.

## bleprph

Shows how ESP32 acts as a BLE Peripheral.

See the [README.md](./bleprph/README.md) file in the example [bleprph](./bleprph/).

## bleprph_wifi_coex


ESP32 acts as a BLE Peripheral and simultaneously performs WiFi ping to configured IP address.

See the [README.md](./bleprph_wifi_coex/README.md) file in the example [bleprph_wifi_coex](./bleprph_wifi_coex/).

## blecent

Shows how ESP32 acts as a BLE central.

See the [README.md](./blecent/README.md) file in the example [blecent](./blecent/).

## blemesh

Demonstrates BLE mesh functionality of NimBLE.

See the [README.md](./blemesh/README.md) file in the example [blemesh](./blemesh/).

## blehr

Demonstrates standard Heart Rate measurement BLE peripheral.

See the [README.md](./blehr/README.md) file in the example [blehr](./blehr/).

# More

See the [README.md](../../README.md) file in the upper level [examples](../../) directory for more information about examples.

